## bulk-extractor 2.0.0

=== etc/Makefile ===
demo5:demo5.cpp
	g++ -std=c++14 -o demo5 demo5.cpp

demo4:demo4.cpp
	g++ -std=c++14 -o demo4 demo4.cpp

demo3:demo3.cpp
	g++ -std=c++11 -o demo3 demo3.cpp


demo2:
	g++ -o demo2 demo2.cpp

=== debian/changelog ===
bulk-extractor (2.0.0-0parrot1) lory; urgency=medium

  * Rebuild for Parrot 6.0.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Thu, 07 Sep 2023 00:32:13 +0200

bulk-extractor (2.0.0-0kali2) kali-dev; urgency=medium

  [ Sophie Brun ]
  * Disable i386 build on CI

  [ Kali Janitor ]
  * Trim trailing whitespace.
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.
  * Add ITP bugs in 1.3-0kali1.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.6.2, no changes needed.

  [ Steev Klimaszewski ]
  * Add lintian overrides.
  * ci: Disable 32bit arm architectures.
  * Prepare for Release

 -- Steev Klimaszewski <steev@kali.org>  Mon, 17 Apr 2023 10:50:59 -0500

bulk-extractor (2.0.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.0
  * Refresh debian/patches
  * Update debian/copyright
  * Restrict to 64 bits arch
    (https://github.com/simsong/bulk_extractor/issues/318)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 15 Feb 2022 12:11:50 +0100

bulk-extractor (2.0.0~beta3-0kali1) kali-dev; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * Update email address
  * Add Uploaders
  * Remove template comment and switch spaces to tabs

  [ Sophie Brun ]
  * New upstream version 2.0.0~beta3

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 15 Dec 2021 10:27:20 +0100

bulk-extractor (2.0.0~beta2-0kali3) kali-dev; urgency=medium

  * Add -latomic in LIBS not in LDFLAGS for armel build

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 02 Nov 2021 18:07:47 +0100

bulk-extractor (2.0.0~beta2-0kali2) kali-dev; urgency=medium

  * Add -latomic only for specific arch

 -- Sophie Brun <sophie@offensive-security.com>  Thu, 28 Oct 2021 14:16:18 +0200

bulk-extractor (2.0.0~beta2-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.0~beta2
  * Update debian/copyright
  * Add missing LDFLAGS -latomic for armel

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 27 Oct 2021 09:53:33 +0200

bulk-extractor (2.0.0~beta1-0kali1) kali-dev; urgency=medium

  * Update debian/watch
  * New upstream version 2.0.0~beta1
  * Update debian/rules
  * Refresh patches
  * Update debian/copyright
  * Build-dep: add missing libxml2-utils
  * Bump Standards-Version to 4.6.0 (no changes)

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 19 Oct 2021 16:25:50 +0200

bulk-extractor (1.6.0-0kali1) kali-dev; urgency=medium

  [ Raphaël Hertzog ]
  * Update Maintainer field
  * Update Vcs-* fields for the move to gitlab.com
  * Add GitLab's CI configuration file
  * Configure git-buildpackage for Kali
  * Update URL in GitLab's CI configuration file

  [ Sophie Brun ]
  * New upstream version 1.6.0
  * Bump Standards-Version to 4.4.1
  * Update debian/copyright
  * Use debhelper-compat 12
  * Add hardening flags
  * Add a patch to fix spelling errors

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 12 Nov 2019 11:52:31 +0100

bulk-extractor (1.5.3+git20150907-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 07 Sep 2015 16:06:18 +0200

bulk-extractor (1.5.3-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 07 Sep 2015 15:50:16 +0200

bulk-extractor (1.5.1-0kali2) kali-dev; urgency=medium

  * drop depends to libraries (already managed by shlibs:Depends)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 06 Aug 2014 08:44:21 +0200

bulk-extractor (1.5.1-0kali1) kali-dev; urgency=medium

  * debian/watch updated because it didn't work.
  * New Uptream release
  * drop 2 files in debian/docs because they don't exist anymore
  * add dh_autoreconf in rules to create ./configure
  * Use debhelper 9 nad change url for vcs-git
  * Rearrange debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 05 Aug 2014 09:48:08 +0200

bulk-extractor (1.3-1kali5) kali; urgency=low

  * Removed desktop file

 -- Mati Aharoni <muts@kali.org>  Fri, 14 Dec 2012 19:49:22 -0500

bulk-extractor (1.3-1kali4) kali; urgency=low

  * Updated desktop file

 -- Mati Aharoni <muts@kali.org>  Sat, 01 Dec 2012 10:50:03 -0500

bulk-extractor (1.3-1kali3) kali; urgency=low

  * Fixed build and installation depends

 -- Devon Kearns <dookie@kali.org>  Thu, 08 Nov 2012 11:50:37 -0700

bulk-extractor (1.3-1kali2) kali; urgency=low

  * Kali Version with fixed build depends

 -- Devon Kearns <dookie@kali.org>  Thu, 08 Nov 2012 11:35:21 -0700

bulk-extractor (1.3-1kali1) kali; urgency=low

  * Kali Version

 -- Devon Kearns <dookie@kali.org>  Tue, 06 Nov 2012 14:36:10 -0700

bulk-extractor (1.3-0kali1) kali; urgency=low

  * Initial release. Closes: #990302

 -- Devon Kearns <dookie@kali.org>  Tue, 06 Nov 2012 14:14:48 -0700

=== debian/control ===
Source: bulk-extractor
Section: non-free/net
Priority: optional
Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 12),
               flex,
               gawk,
               git,
               libboost1.74-dev,
               libewf-dev,
               libexiv2-dev,
               libexpat1-dev,
               libgcrypt20-dev,
               libpcap0.8-dev,
               libsqlite3-dev,
               libssl-dev,
               libxml2-dev,
               libxml2-utils,
               uuid-dev,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: https://github.com/simsong/bulk_extractor

Package: bulk-extractor
Architecture: amd64 arm64
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Extracts information without parsing filesystem
 bulk_extractor is a C++ program that scans a disk image, a file,
 or a directory of files and extracts useful information without
 parsing the file system or file system structures. The results are
 stored in feature files that can be easily inspected, parsed, or
 processed with automated tools. bulk_extractor also creates
 histograms of features that it finds, as features that are more
 common tend to be more important.

=== debian/rules ===
#!/usr/bin/make -f

# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# It is needed because long long atomic operations are not directly
# supported by all processor architectures (like armel)
ifneq (,$(filter $(DEB_HOST_ARCH), armel m68k mips mipsel powerpc powerpcspe sh4))
	export LIBS=-Wl,--as-needed -latomic -Wl,--no-as-needed
endif

%:
	dh $@

## bulk-extractor 2.1.1

=== Makefile ===
# Standalone makefile, not made with autotools.
#
# NOTE 1: This Makefile does not define a primary, so source files are manually included
# using EXTRA_DIST.
#
# NOTE 2: This Makefile is configured in the parent directory, but as part of building
# the installer the makefile does a 'make distclean' in the parent directory and makes
# *two* configured sub directories:
#
#   win64/   - 64-bit windows and Java GUI
# 
# It then builds both of the subdirectories sequentially, then makes the installer
#
# NOTE 3: This makefile is not automatically configured. If it were, then 'make distclean' 
# would wipe it.

BEVERSION=`grep ^AC_INIT ../configure.ac | awk -F, '{print $$2;}' | sed 's/ //'`

INSTALLER=bulk_extractor-$(BEVERSION)-windowsinstaller.exe

UNVERSIONED_INSTALLER=bulk_extractor-windowsinstaller.exe

WIN64_EXE = bulk_extractor.exe
JAVA_GUI  = BEViewer.jar

PDFDOCS	  = BEProgrammersManual.pdf BEUsersManual.pdf BEWorkedExamplesStandalone.pdf

SRC_WIN_DIST = \
	$(SRC_WIN)CONFIGURE_FEDORA31.bash \
	$(SRC_WIN)EnvVarUpdate.nsi \
	$(SRC_WIN)Makefile \
	$(SRC_WIN)README_WINDOWS.md \
	$(SRC_WIN)build_BEViewer_launcher.nsi \
	$(SRC_WIN)build_installer.nsi \
	$(SRC_WIN)icu4c-53_1-mingw-w64-mkdir-compatibility.patch \
	$(SRC_WIN)icu4c-53_1-simpler-crossbuild.patch

zipfile: 
	zip bulk_extractor-$(BEVERSION).zip $(SRC_WIN)bulk_extractor.exe bulk_extractor-$(BEVERSION)-windowsinstaller.exe 

# The prerequisites for the installer can't be listed after the colon, 
# becuase then the system will try to generate them simultaneously,
# which causes problems if both try to do a distclean at the same time.
# So this just manually checks to see if the prerequists are present and, if not, it makes them
#
$(UNVERSIONED_INSTALLER): BEViewerLauncher.exe build_installer.nsi EnvVarUpdate.nsi $(PDFDOCS) bulk_extractor.exe BEViewer.jar
	@echo Making bulk_extractor version $(BEVERSION) Windows Installer
	@echo 
	makensis -DVERSION=$(BEVERSION) build_installer.nsi
	@echo 
	echo '**************** INSTALLER IS MADE ****************'
	cp $(INSTALLER) $(UNVERSIONED_INSTALLER)
	ls -lt *exe

$(SRC_WIN)bulk_extractor.exe:
	if [ ! -r ../build_win64/Makefile ]; then \
	   if [ -r ../Makefile ]; then (cd ..;make distclean); fi ; \
	   if [ ! -d ../build_win64 ]; then mkdir ../build_win64 ; fi; \
	   if [ ! -r ../build_win64/Makefile ]; then (cd ../build_win64;mingw64-configure); fi; \
	fi
	@echo
	echo '**** running make in build_win64/ to create bulk_extractor.exe ****'; \
	(cd ../build_win64;$(MAKE))
	cp ../build_win64/src/bulk_extractor.exe bulk_extractor.exe
	cp ../build_win64/java_gui/BEViewer.jar BEViewer.jar


$(SRC_WIN)BEViewer.jar:
	if [ ! -r ../build_java/Makefile ]; then \
	   if [ -r ../Makefile ]; then (cd ..;make distclean); fi ; \
	   if [ ! -d ../build_java ]; then mkdir ../build_java ; fi; \
	   if [ ! -r ../build_java/Makefile ]; then (cd ../build_java;mingw64-configure); fi; \
	fi
	@echo
	echo '**** running make in build_java/ to create BEViewer.jar ****'; \
	(cd ../build_java/java_gui;$(MAKE))
	cp ../build_java/java_gui/BEViewer.jar BEViewer.jar

BEViewerLauncher.exe: build_BEViewer_launcher.nsi
	makensis build_BEViewer_launcher.nsi

$(SRC_WIN)clean:
	@echo '**** MAKE CLEAN ****'
	/bin/rm -rf ../build_win64  ../build_java 
	/bin/rm -f $(WIN64_EXE) $(JAVA_GUI) BEViewerLauncher.exe
	/bin/rm -f $(INSTALLER)
	/bin/rm -f $(UNVERSIONED_INSTALLER)
	/bin/rm -f $(PDFDOCS)

$(SRC_WIN)cleanpdf:
	/bin/rm -f $(PDFDOCS)

$(SRC_WIN)distclean:
	if [ -r ../Makefile ]; then (cd ..;$(MAKE) distclean); fi
	$(MAKE) clean

$(SRC_WIN)release:
	scp $(INSTALLER) $(WIN64_EXE) cfrs.vse.gmu.edu:/home/dcorpora/downloads/bulk_extractor/

$(SRC_WIN)distdir:
	if [ ! -d src_win ]; then mkdir src_win ; fi


################################################################
## 
## Get the PDF documentation from the download site
##
DOWNLOAD = http://digitalcorpora.org/downloads/bulk_extractor
BEProgrammersManual.pdf:	
	wget $(DOWNLOAD)/BEProgrammersManual.pdf

BEUsersManual.pdf:	
	wget $(DOWNLOAD)/BEUsersManual.pdf

BEWorkedExamplesStandalone.pdf:	
	wget $(DOWNLOAD)/BEWorkedExamplesStandalone.pdf

# windist makes a Windows distribution.
# Most users should make the installer instead
# We don't use this anymore, but we might in the future if we want to add the txt files to the installer
windist: win64/bulk_extractor.exe
	@echo checking to see if there are uncommitted sources
	(if (svn status | grep '^Q') ; then exit 1 ; fi)
	@echo nope
	rm -rf $(distdir).zip $(distdir) src/*.exe
	mkdir $(distdir)
	mkdir $(distdir)/python
	@echo
	cp win64/bulk_extractor.exe $(distdir)
	@echo ====================================
	@echo 
	@echo making documentation
	make man/bulk_extractor.txt
	mv man/bulk_extractor.txt $(distdir)
	@echo ====================================
	@echo 
	@echo Creating ZIP archive
	@echo 
	zip -r9 $(distdir).zip $(distdir)
	@echo ====================================
	@echo 
	@echo Adding text files to $(distdir).zip 
	@echo 
	cp python/*.{py,txt}    $(distdir)/python
	cp ChangeLog		$(distdir)/ChangeLog.txt
	cp NEWS			$(distdir)/NEWS.txt
	cp COPYING		$(distdir)/COPYING.txt
	md5deep -r  $(distdir) > md5list.txt
	md5deep -rd $(distdir) > md5list.xml
	mv md5list.txt md5list.xml $(distdir)
	zip --to-crlf $(distdir).zip $(distdir)/*.txt $(distdir)/*.xml $(distdir)/python/*
	rm -rf $(distdir) 
	@echo "***********************"
	@echo "*** WINDIST IS MADE ***"
	@echo "***********************"
	@echo ""
	ls -l $(distdir).*
	@echo ""
	@unzip -l $(distdir).zip

SUFFIXES = .txt .1
.1.txt:
	/usr/bin/tbl $< | /usr/bin/groff -S -Wall -mtty-char -mandoc -Tascii | /usr/bin/col -bx > $@

=== doxygen/Makefile ===
# May edit Doxyfile with doxywizard gui
all:
	doxygen Doxyfile

clean:
	rm -rf html

=== programmer_manual/Makefile ===
PARTS=BEProgrammersManual.tex title.tex structure.tex 

BEProgrammersManual.pdf: $(PARTS) Makefile references.bib
	pdflatex BEProgrammersManual
	bibtex BEProgrammersManual
	pdflatex BEProgrammersManual
	pdflatex BEProgrammersManual

clean:
	rm -f *.{aux,bbl,blg,log,out,toc} *~
	rm -f BEProgrammersManual.pdf

=== be20_api/dfxml_cpp/Makefile ===
#!/usr/bin/make -f

# This software is a work of the Naval Postgraduate School (NPS) and the
# National Institute of Standards and Technology (NIST) . As a work of
# the US Government this work is not subject to copyright law. Neither
# NPS nor NIST assumes any responsibility whatsoever for its use by
# other parties, and makes no guarantees, expressed or implied, about
# its quality, reliability, or any other characteristic.

# Additionally, we waive copyright and related rights in the work worldwide
# through the CC0 1.0 Universal public domain dedication at https://creativecommons.org/publicdomain/zero/1.0/.
#
# Contributions by non-US government entities herein are covered under the LGPL
# which is in src/COPYING.md



SHELL ?= /bin/bash

SCHEMA_REPOSITORY_URL ?= https://github.com/dfxml-working-group/dfxml_schema.git

all:

.PHONY: schema-init

schema-init: schema/dfxml.xsd

schema/dfxml.xsd: dfxml_schema_commit.txt
	if [ -z "$(SCHEMA_REPOSITORY_URL)" ]; then echo 'ERROR:Makefile:Please provide a URL for the Makefile parameter SCHEMA_REPOSITORY_URL.' >&2 ; exit 1 ; fi
	if [ ! -d schema ]; then git clone $(SCHEMA_REPOSITORY_URL) schema ; cd schema ; git checkout $$(head -n1 ../dfxml_schema_commit.txt) ; fi
	test -r $@ && touch $@

clean:
	find . -name '*~' -exec rm {} \;

check:
	(cd src;make check)
	@echo performing checks currently in Travis

=== be20_api/dfxml_cpp/samples/Makefile ===
#!/usr/bin/make -f

# This software was developed at the National Institute of Standards
# and Technology by employees of the Federal Government in the course
# of their official duties. Pursuant to title 17 Section 105 of the
# United States Code this software is not subject to copyright
# protection and is in the public domain. NIST assumes no
# responsibility whatsoever for its use by other parties, and makes
# no guarantees, expressed or implied, about its quality,
# reliability, or any other characteristic.
#
# We would appreciate acknowledgement if the software is used.

SHELL ?= /bin/bash

XMLLINT ?= $(shell which xmllint)
ifeq ($(XMLLINT),)
$(error XMLLINT not found)
endif

SAMPLE_FILES__PASS := \
  difference_test_0.xml \
  difference_test_1.xml \
  difference_test_2.xml \
  difference_test_3.xml \
  fileobjectexample.xml

# TODO Any remaining issues with the upstream tool should be resolved.
SAMPLE_FILES__SKIP := \
  piecewise.xml \
  simple.xml

SAMPLE_FILES := \
  $(SAMPLE_FILES__FAIL) \
  $(SAMPLE_FILES__SKIP)

VALIDATES_LOG_FILES__PASS := $(foreach sample_file,$(SAMPLE_FILES__PASS),$(sample_file).validates.log)

VALIDATES_LOG_FILES__SKIP := $(foreach sample_file,$(SAMPLE_FILES__SKIP),$(sample_file).validates.log)

VALIDATES_LOG_FILES := \
  $(VALIDATES_LOG_FILES__PASS) \
  $(VALIDATES_LOG_FILES__SKIP)

all:

.PHONY: \
  check-TODO

%.validates.log: \
  % \
  ../schema/dfxml.xsd
	$(XMLLINT) \
	  --noout \
	  --schema ../schema/dfxml.xsd \
	  $< \
	  2> $<.err.log
	touch $@

../schema/dfxml.xsd:
	@echo "dfxml.xsd not found.  To check out the DFXML schema (necessary to run unit tests in the /samples directory), please run 'make schema-init' in the repository root." >&2
	exit 2

check: \
  $(VALIDATES_LOG_FILES__PASS)

check-TODO: \
  $(VALIDATES_LOG_FILES__SKIP)

clean:
	@rm -f *.err.log *.validates.log

=== debian/changelog ===
bulk-extractor (2.1.1-0kali2) kali-dev; urgency=medium

  * Update build-dep (new libboost)
  * Fix the build for the new version libre2-11

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 12 Jun 2024 15:11:12 +0200

bulk-extractor (2.1.1-0kali1) kali-dev; urgency=medium

  * New upstream version 2.1.1
  * Update Uploaders
  * Update debian/copyright

 -- Sophie Brun <sophie@offensive-security.com>  Tue, 30 Apr 2024 11:37:01 +0200

bulk-extractor (2.1.0-0kali1) kali-dev; urgency=medium

  * New upstream version 2.1.0
  * Add python3 and libre2-dev as build-dep + update d/rules

 -- Sophie Brun <sophie@offensive-security.com>  Mon, 29 Jan 2024 17:19:06 +0100

bulk-extractor (2.0.6-0kali1) kali-dev; urgency=medium

  [ Steev Klimaszewski ]
  * New upstream version 2.0.3

  [ Sophie Brun ]
  * New upstream version 2.0.6
  * Refresh patches

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 10 Jan 2024 15:32:39 +0100

bulk-extractor (2.0.3-0kali1) kali-dev; urgency=medium

  * New upstream version 2.0.3
  * Fix building with gcc-13

 -- Steev Klimaszewski <steev@kali.org>  Tue, 03 Oct 2023 15:33:48 -0500

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,30 @@
 Source: bulk-extractor
 Section: non-free/net
 Priority: optional
-Maintainer: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
-Uploaders: Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>
+Maintainer: Kali Developers <devel@kali.org>
+Uploaders: Sophie Brun <sophie@offensive-security.com>,
 Build-Depends: debhelper-compat (= 12),
                flex,
                gawk,
                git,
-               libboost1.74-dev,
+               libboost1.83-dev,
                libewf-dev,
                libexiv2-dev,
                libexpat1-dev,
                libgcrypt20-dev,
                libpcap0.8-dev,
+	       libre2-dev,
                libsqlite3-dev,
                libssl-dev,
                libxml2-dev,
                libxml2-utils,
+	       python3,
                uuid-dev,
                zlib1g-dev
 Standards-Version: 4.6.2
 Homepage: https://github.com/simsong/bulk_extractor
+Vcs-Git: https://gitlab.com/kalilinux/packages/bulk-extractor.git
+Vcs-Browser: https://gitlab.com/kalilinux/packages/bulk-extractor
 
 Package: bulk-extractor
 Architecture: amd64 arm64

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,7 @@
 
 %:
 	dh $@
+
+override_dh_autoreconf:
+	python3 etc/makefile_builder.py
+	dh_autoreconf

=== debian/watch ===
version=4
opts="uversionmangle=s/-beta/~beta/, \
      filenamemangle=s%(?:.*?)?v(\d.*)\.tar\.gz%bulk-extractor-$1.tar.gz%" \
    https://github.com/simsong/bulk_extractor/tags \
    (?:.*?/)?v(\d.*)\.tar\.gz debian debian/script-targz
